# Contributing to Dext

♥ ***Dext*** and want to contribute? I am seeking contributors of any levels to help grow the application. You can help contribute to the growth of this application in many ways.

- UI/UX design
- DX design
- Core plugins
- Third-party plugins
- Feedbacks, and suggestions

**Dext** is still in its very early stage of development and lots of new features and improvements will be added over time.

1. [Fork](https://help.github.com/articles/fork-a-repo/) and [clone](https://help.github.com/articles/cloning-a-repository/) this repository.

  ```bash
  $ git clone git@github.com:vutran/dext.git
  ```
2. Switch to the new `dext` directory that was created in step 1.

  ```bash
  $ cd dext
  ```
3. Install `npm` dependencies.

  ```bash
  $ npm install
  ```
4. Boot up the application.

  ```bash
  $ npm start
  ```
5. Submit a [Pull Request](https://github.com/vutran/dext/pulls) if you have something great to contribute and a review will proceed.

## Bug Reports

Found a bug? Submit it to the [issue tracker](https://github.com/vutran/dext/issues) and/or send a [Pull Request](#pull-requests) so we can get it squashed.

## Feature Requests

If you have an idea for a feature, please post them to the [issues tracker](https://github.com/vutran/dext/issues) and we can discuss. Not all features will be implemented.

## Pull Requests

As ***Dext*** grows into a more mature application, we want to make sure we only accept PR's that would allow the application to become better. If you have an idea and don't know if it will get accepted, please file an issue and we can discuss whether it could be merged into core or as a third-party plugin.

## Feedback and Suggestions

All feedback and suggestions for the application are welcomed. If you have one, please send a tweet to [@tranvu](https://twitter.com/tranvu/) and we can discuss.
